Skip to main content
POST
Create a plugin

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Body

application/json
blob
string
required

The raw source code of the plugin. This should be an HTML file

contexts
object[]
required

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

isDraft
boolean
required

Whether the plugin is generally available or not

minimumRoleRequired
string
required

The minimum role required to view the plugin, e.g. VIEWER, USER, MANAGER, OWNER, or the tag for a custom role. Learn more about each permission in our docs.

name
string
required

Display name of the plugin

tag
string
required

Unique identifier for the plugin

description
string

Description of the plugin

iconTag
string

Icon tag for the plugin

proxyTag
string

The identifier of the proxy to use for requests from this plugin

version
string

The version of the plugin

Response

Metadata of the created plugin

contexts
object[]
required

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

Which contexts the plugin should execute/show up in, e.g. { "type": "GLOBAL" }

isDraft
boolean
required

Whether the plugin is generally available or not

lastUpdated
string
required

When the plugin was last updated

minimumRoleRequired
string
required

The minimum role required to view the plugin, e.g. VIEWER, USER, MANAGER, OWNER, or the tag for a custom role. Learn more about each permission in our docs.

name
string
required

Display name of the plugin

tag
string
required

Unique identifier for the plugin

createdBy
object

The creator of the plugin. Null if created via API.

description
string

Description of the plugin

iconTag
string

Icon tag for the plugin

proxyTag
string

The identifier of the proxy to use for requests from this plugin

version
string

The version of the plugin

Last modified on September 29, 2026